from setuptools import setup, find_packages
from codecs import open
from os import path

current_path = path.abspath(path.dirname(__file__))

with open(path.join(current_path, 'README.rst'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='Gitssue',
    version='1.1.3',
    description='Manage your issues from the command line.',
    long_description=long_description,
    url='https://github.com/julenpardo/Gitssue',
    author='Julen Pardo',
    author_email='julen.pardo@outlook.es',
    license='GPLv3',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Bug Tracking',
        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    keywords='git issue development bug-tracking',
    packages=find_packages(exclude=['img', 'tests']),
    install_requires=[
        'cement',
        'requests',
        'colorconsole',
    ],
    extras_require={},
    package_data={},
    data_files={},
    entry_points={
        'console_scripts': [
            'gitssue = gitssue.gitssue:main'
        ]
    },
    console_scripts={
        'console_scripts': [
            'gitssue = gitssue.gitssue:main'
        ]
    },
)
